Bug 819471 (CVE-2012-2319)

Summary: CVE-2012-2319 kernel: Buffer overflow in the HFS plus filesystem (different issue than CVE-2009-4020)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, arozansk, bhu, davej, dhoward, fhrbata, gansalmon, itamar, jforbes, jkacur, jonathan, jrusnack, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mrg-program-list, plougher, pmatouse, rt-maint, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120504,reported=20120507,source=oss-security,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=affected,rhel-5.6.z/kernel=affected,rhel-6/kernel=notaffected,fedora-all/kernel=affected,mrg-2/realtime-kernel=notaffected,cwe=CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 09:16:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 820255, 820256, 820259, 825332    
Bug Blocks: 819473    

Description Jan Lieskovsky 2012-05-07 06:52:49 EDT
Previously Common Vulnerabilities and Exposures assigned an identifier of CVE-2009-4020 to the following vulnerability:

Stack-based buffer overflow in the hfs subsystem in the Linux kernel 2.6.32 allows remote attackers to have an unspecified impact via a crafted Hierarchical File System (HFS) filesystem, related to the hfs_readdir function in fs/hfs/dir.c.

Recently:
[1] http://www.openwall.com/lists/oss-security/2012/05/07/3

Timo Warns pointed out similar flaws exists in the HFS plus file system.

Relevant upstream patch:
[2] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=6f24f892871acc47b40dd594c63606a17c714f77
Comment 1 Jan Lieskovsky 2012-05-07 12:15:49 EDT
The CVE identifier of CVE-2012-2319 has been assigned to the HFS plus filesystem case:
[3] http://www.openwall.com/lists/oss-security/2012/05/07/11
Comment 3 Petr Matousek 2012-05-09 09:36:05 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 820259]
Comment 4 Petr Matousek 2012-05-09 10:07:09 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG, as those versions do not have CONFIG_HFSPLUS_FS option enabled.

The Red Hat Security Response Team has rated this issue as having low security impact. A future kernel updates in Red Hat Enterprise Linux 5 may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 6 errata-xmlrpc 2012-10-02 13:45:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1323 https://rhn.redhat.com/errata/RHSA-2012-1323.html
Comment 7 errata-xmlrpc 2012-10-09 06:28:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:1347 https://rhn.redhat.com/errata/RHSA-2012-1347.html